/*
 * $Id: gearlite.c,v 1.1 2004/09/16 16:43:31 alexanto Exp Alessandro $
 *
 * $Boeing 767 Gauge Pack - (C) 2004 Alessandro Antonini, Central Park Informatica $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Desc: The deice switch gauge
 *
 * $Log$
 * Revision 1.1  2004/09/16 16:43:31  alexanto
 */

/*
 *  Set up gauge header
 */
char deice_switch_gauge_name[]	= 	GAUGE_NAME;
extern PELEMENT_HEADER      deice_switch_list;
extern MOUSERECT            deice_switch_rect[];


/*
 * forward declarations
 */

PELEMENT_HEADER deice_switch_bg_list[];
FLOAT64 FSAPI deice_switch_icon_cb(PELEMENT_ICON);

GAUGE_HEADER_FS700( GAUGE_W, deice_switch_gauge_name, &deice_switch_list, \
					deice_switch_rect, NULL, 0, 0, 0);

/*
 * gear nose icon
 */
MAKE_ICON
(
	deice_switch_icon,
	BMP_HSI_SWITCH_ARC,
	NULL,
	NULL,
	IMAGE_USE_ERASE | IMAGE_USE_TRANSPARENCY,
	0,
	2, 2,
	PANEL_ANTIICE_SWITCH,
	deice_switch_icon_cb,
	ICON_SWITCH_TYPE_SET_CUR_ICON,
	2,
	0.000000,
	0
)

/*
 * card background image
 */
MAKE_STATIC
(
    deice_switch_bg,
    BMP_HSI_SWITCH_BG,
    &deice_switch_bg_list,
    NULL,
	IMAGE_USE_ERASE | IMAGE_USE_TRANSPARENCY,
	0,
	0,0
)

/*
 * priority lists
 */
PELEMENT_HEADER deice_switch_bg_list[] =
{
	&deice_switch_icon.header,
	NULL
};


extern PELEMENT_HEADER      deice_switch_list = &deice_switch_bg.header;


BOOL FSAPI SwitchAntiIce(PPIXPOINT pp, FLAGS32 flags)
{
	MFSSoundResPlay(main_sound, FALSE);
	trigger_key_event(KEY_ANTI_ICE_TOGGLE,1);
	return 0;
}

MOUSE_BEGIN( deice_switch_rect, HELPID_GAUGE_DEICE_SWITCH, 0, 0 )
	MOUSE_CHILD_FUNCT( 0, 0, 35, 35, CURSOR_HAND,
		MOUSE_LEFTSINGLE, SwitchAntiIce )
	
MOUSE_END


#undef		GAUGE_NAME
#undef		GAUGEHDR_VAR_NAME
#undef		GAUGE_W

/*
 * update switch
 */
FLOAT64 FSAPI deice_switch_icon_cb(PELEMENT_ICON pelement)
{
	return TRUE_FALSE(pelement);
}

