/*
 * $Id: flever.c,v 1.1 2004/09/16 16:43:31 alexanto Exp Alessandro $
 *
 * $Boeing 767 Gauge Pack - (C) 2004 Alessandro Antonini, Central Park Informatica $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Desc: The flaps lever gauge $
 *
 * $Log: flever.c,v $
 * Revision 1.1  2004/09/16 16:43:31  alexanto
 * Initial revision
 *
 */

/*
 *  Set up gauge header
 */
char flaps_lever_gauge_name[]    = GAUGE_NAME;
extern PELEMENT_HEADER      flaps_lever_list;
extern MOUSERECT            flaps_lever_rect[];

/*
 * forward declarations
 */
PELEMENT_HEADER      flaps_lever_bg_list[];

GAUGE_HEADER_FS700( GAUGE_W, flaps_lever_gauge_name, &flaps_lever_list, \
					flaps_lever_rect, NULL, 0, 0, 0);


MAKE_SLIDER
(    
	flaps_lever_slider,
    BMP_FLAPS_LEVER_SLIDER,
	NULL,
	NULL,
	IMAGE_USE_TRANSPARENCY | IMAGE_USE_ERASE,
	0,
	{ 10, -49 },
	MODULE_VAR_NONE, NULL, 0.000000,
	FLAPS_HANDLE_POS, NULL, 0.002900 
)


/*
 * card background image
 */
MAKE_STATIC
(
    flaps_lever_bg,
    BMP_FLAPS_LEVER_BG,
    &flaps_lever_bg_list,
    NULL,
	IMAGE_USE_TRANSPARENCY | IMAGE_USE_ERASE,
	0,
	0,0
)


/*
 * priority lists
 */
PELEMENT_HEADER      flaps_lever_bg_list[] =
{
	&flaps_lever_slider.header,
	NULL
};

extern PELEMENT_HEADER      flaps_lever_list = &flaps_lever_bg.header;


MOUSERECT flaps_lever_rect[] =
{

    MOUSE_PARENT_BEGIN( 0, 0, 0, 0, HELPID_GAUGE_FLAP_LEVER )
        MOUSE_CHILD_EVENT( 0, -43, 30, 45, CURSOR_UPARROW, MOUSE_LEFTSINGLE, KEY_FLAPS_DECR )
        MOUSE_CHILD_EVENT( 0, 3, 30, 45, CURSOR_DOWNARROW, MOUSE_LEFTSINGLE, KEY_FLAPS_INCR )
    MOUSE_PARENT_END
    { MOUSE_RECT_EOL, { 0, 0, 0, 0 }, CURSOR_NONE, HELP_NONE, MOUSE_NONE, 0, NULL, NULL }
};

#undef GAUGE_NAME
#undef GAUGEHDR_VAR_NAME
#undef GAUGE_W

