/*
 * $Id: yoke.c,v 1.1 2004/09/16 16:43:31 alexanto Exp Alessandro $
 *
 * $Boeing 767 Gauge Pack - (C) 2004 Alessandro Antonini, Central Park Informatica $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Desc: The yoke gauge $
 *
 * $Log: yoke.c,v $
 * Revision 1.1  2004/09/16 16:43:31  alexanto
 * Initial revision
 *
 */

/*
 *  Set up gauge header
 */
char yoke_gauge_name[]	= 	GAUGE_NAME;
extern PELEMENT_HEADER      yoke_list;
extern MOUSERECT            yoke_rect[];


/*
 * forward declarations
 */
PELEMENT_HEADER yoke_bg_list[];


GAUGE_HEADER_FS700( GAUGE_W, yoke_gauge_name, &yoke_list, \
					yoke_rect, NULL, 0, 0, 0);



MAKE_SPRITE
(
	yoke_sprite,
	BMP_YOKE_SPRITE,
	NULL,
	NULL,
	IMAGE_USE_TRANSPARENCY | IMAGE_USE_ERASE,
	0,
    0, 0,
	249, 249,
	1,1,

	MODULE_VAR_NONE, NULL, 0,
	ELEVATOR_DEFLECTION, NULL,-1*180/PI,
	AILERON_DEFLECTION, NULL, -1*180/PI
)


/*
 * card background image
 */
MAKE_STATIC
(
    yoke_bg,
    BMP_YOKE_BG,
    &yoke_bg_list,
    NULL,
	IMAGE_USE_TRANSPARENCY | IMAGE_USE_ERASE,
	0,
	0,0
)

/*
 * priority lists
 */
PELEMENT_HEADER yoke_bg_list[] =
{
	&yoke_sprite.header,
	NULL
};


extern PELEMENT_HEADER      yoke_list = &yoke_bg.header;


MOUSE_BEGIN(yoke_rect, HELP_NONE, 0, 0 )
MOUSE_END


#undef		GAUGE_NAME
#undef		GAUGEHDR_VAR_NAME
#undef		GAUGE_W


